Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

  1. #1
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Just to remind you, that if you have a Saucy (or Raring) setup with gnome-shell from official repos (version 3.6.3),
    do not install new clutter-1.0 (1.14.0-1).
    It will break both gdm and gnome-shell. Gdm will freeze and you are not able to login. X will also freeze, so startx will not help there.
    However, you can still login from tty1 (Ctrl + Alt + F1).
    You can sort this issue by downgrading clutter packages to the previous version (1.12.2).

  2. #2
    Join Date
    Oct 2008
    Location
    West Palm Beach,FL,USA
    Beans
    361
    Distro
    Ubuntu

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    yeap
    it just happened to me,dang it!
    Last edited by kuvanito; May 7th, 2013 at 10:07 AM.

  3. #3
    Join Date
    Apr 2008
    Location
    LOCATION=/dev/random
    Beans
    5,767
    Distro
    Ubuntu Development Release

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Does anyone know if this affects gnome-shell 3.8 as well?

    I was about to update my system but I'll hold off for a while until there's any more news.
    Cheesemill

  4. #4
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Quote Originally Posted by Cheesemill View Post
    Does anyone know if this affects gnome-shell 3.8 as well?

    I was about to update my system but I'll hold off for a while until there's any more news.
    It does not affect Gnome3.8 branch.
    In fact, the Gnome3 PPA (raring branch) already has the clutter-1.0 (1.14.0-1).
    So users using the Gnome3 PPA are not affected.

    This might not even be a bug. New clutter may only need the newer gnome-shell, gdm and mutter.

  5. #5
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    even gdm have been dropped with GS 3.8.1

  6. #6
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Quote Originally Posted by dino99 View Post
    even gdm have been dropped with GS 3.8.1
    What exactly are you saying here?
    I have GS 3.8.1 and I use solely gdm (3.8.1.1).
    Do you mean the dependencies of gnome-shell?
    In order to get Unity work, the gnome-shell now depends on libgdm (and not gdm), after the old gdm package was split into packages gdm and libgdm.

  7. #7
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,868
    Distro
    Ubuntu Development Release

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Glad I read this thread...

    I noticed a brace of clutter upgrades in Synaptic, this morning.

    I wouldn't have done the upgrade(s) at this point in time, anyway, because Synaptic wanted to remove gnome et cetera. Better to be safe than sorry!

    Instead, I'll check later this afternoon and see if the coast is clear...

    Thanks!
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  8. #8
    Join Date
    Oct 2008
    Location
    West Palm Beach,FL,USA
    Beans
    361
    Distro
    Ubuntu

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    dang it.I need a fix for this asap

  9. #9
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,868
    Distro
    Ubuntu Development Release

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Did you guys ever get this sorted?!?!?

    I finally did an upgrade, a few minutes ago, and everything seems to be working fine.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  10. #10
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: New clutter-1.0 (1.14.0-1) breaks GDM and Gnome-shell (3.6.3)

    Quote Originally Posted by VinDSL View Post
    Did you guys ever get this sorted?!?!?

    I finally did an upgrade, a few minutes ago, and everything seems to be working fine.
    No this sissue is definitely not solved ATM.
    Workaround is clear: downgrade to the previous version 1.12.2.

    VinDSL, you may have Gnome3 enabled and thus you would not be using Gnome 3.6.
    This issue does not affect Gnome 3.8.

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •